import Phi.Types
import Phi.Widget
import Phi.Panel
import Phi.Border
import Phi.X11

import Phi.Widgets.Clock
import Phi.Widgets.Taskbar

main :: IO ()
main = do
  runPhi defaultXConfig defaultPanelConfig { panelPosition = Bottom }
    [theTaskbar, brightBorder [theClock]]
    where
      theTaskbar = taskbar defaultTaskbarConfig
      theClock = clock defaultClockConfig { clockFormat = "<span font='Sans 8'>%R</span>\n<span font='Sans 6'>%A %d %B</span>"
                                          , lineSpacing = (-2)
                                          , clockSize = 75
                                          }
      brightBorder = border $ BorderConfig (simpleBorderWidth 1) 1 (BorderWidth (-2) 3 0 3) (0.5, 0.5, 0.5, 0.65) (0.85, 0.85, 0.85, 0.8) 5 0
